package com.yc.education.service.impl;

import com.yc.education.mapper.ClassificationMapper;
import com.yc.education.model.Classification;
import com.yc.education.service.ClassificationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * huangpan
 * 2019/9/24
 * energy
 */
@Service
public class ClassificationServiceImpl extends BaseService<Classification> implements ClassificationService {
    @Autowired
    ClassificationMapper classificationMapper;

    @Override
    public List<Classification> getClassification() {
        return classificationMapper.getClassification();
    }

    @Override
    public void saveClassification(Classification classification) {
        classificationMapper.saveClassification(classification);
    }

    @Override
    public Classification getClassificationId(Integer id) {
        return classificationMapper.getClassificationId(id);
    }

    @Override
    public void updateClassification(Classification classification) {
        classificationMapper.updateByPrimaryKey(classification);
    }

    @Override
    public void deleteClassification(Integer id) {
        classificationMapper.deleteByPrimaryKey(id);
    }

    @Override
    public List<Classification> getClassificationSort() {
        return classificationMapper.getClassificationSort();
    }

    @Override
    public List<Classification> recommendId() {
        return classificationMapper.recommendId();
    }
}
